# SQLExecTransaction

"Inner" class that contains the definition of a new transaction element.

Transactions allow several files or blocks of statements to be executed using the same JDBC connection and commit operation in between.

package | phing.tasks.ext.creole

### Methods

## __construct

    __construct( $parent)

### Arguments

#### $parent

``

## addText

    addText( $sql)

### Arguments

#### $sql

``

## runTransaction

    runTransaction(null $out = null)

### Arguments

#### $out

`null`

## setSrc

    setSrc(\PhingFile $src)

### Arguments

#### $src

`\PhingFile`

### Properties

## tSrcFile

    tSrcFile :

### Type(s)

``

## tSqlCommand

    tSqlCommand :

### Type(s)

``

## parent

    parent :

### Type(s)

``